net.minecraft.world.biome

## Class BiomeGenOcean

- java.lang.Object
- - net.minecraft.world.biome.BiomeGenBase
  - - net.minecraft.world.biome.BiomeGenOcean

-     public class BiomeGenOcean
      extends BiomeGenBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.biome.BiomeGenBase

      `BiomeGenBase.FlowerEntry, BiomeGenBase.Height, BiomeGenBase.SpawnListEntry, BiomeGenBase.TempCategory`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.biome.BiomeGenBase

      `beach, biomeID, biomeName, birchForest, birchForestHills, coldBeach, coldTaiga, coldTaigaHills, color, deepOcean, desert, desertHills, enableRain, enableSnow, explorationBiomesList, extremeHills, extremeHillsEdge, extremeHillsPlus, field_150604_aj, field_150609_ah, field_76754_C, fillerBlock, flowers, forest, forestHills, frozenOcean, frozenRiver, genTallFlowers, height_DeepOceans, height_Default, height_HighPlateaus, height_LowHills, height_LowIslands, height_LowPlains, height_MidHills, height_MidPlains, height_Oceans, height_PartiallySubmerged, height_RockyWaters, height_ShallowWaters, height_Shores, heightVariation, hell, iceMountains, icePlains, jungle, jungleEdge, jungleHills, megaTaiga, megaTaigaHills, mesa, mesaPlateau, mesaPlateau_F, mushroomIsland, mushroomIslandShore, ocean, plains, plantNoise, rainfall, river, roofedForest, rootHeight, savanna, savannaPlateau, sky, spawnableCaveCreatureList, spawnableCreatureList, spawnableMonsterList, spawnableWaterCreatureList, stoneBeach, swampland, taiga, taigaHills, temperature, temperatureNoise, theBiomeDecorator, topBlock, waterColorMultiplier, worldGeneratorBigTree, worldGeneratorSwamp, worldGeneratorTrees`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiomeGenOcean(int par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `genTerrainBlocks(World p_150573_1_, java.util.Random p_150573_2_, Block[] p_150573_3_, byte[] p_150573_4_, int p_150573_5_, int p_150573_6_, double p_150573_7_)`
    `BiomeGenBase.TempCategory` | `getTempCategory()`

    - ### Methods inherited from class net.minecraft.world.biome.BiomeGenBase

      `addDefaultFlowers, addFlower, canSpawnLightningBolt, createBiomeDecorator, createMutation, decorate, func_150557_a, func_150559_j, func_150563_c, func_150567_a, func_150572_a, func_76733_a, genBiomeTerrain, getBiome, getBiomeClass, getBiomeFoliageColor, getBiomeGenArray, getBiomeGrassColor, getEnableSnow, getFloatRainfall, getFloatTemperature, getIntRainfall, getModdedBiomeDecorator, getModdedBiomeFoliageColor, getModdedBiomeGrassColor, getRandomWorldGenForGrass, getSkyColorByTemp, getSpawnableList, getSpawningChance, getWaterColorMultiplier, isEqualTo, isHighHumidity, plantFlower, setBiomeName, setColor, setDisableRain, setEnableSnow, setHeight, setTemperatureRainfall`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BiomeGenOcean

          public BiomeGenOcean(int par1)

  - ### Method Detail

    - #### getTempCategory

          public BiomeGenBase.TempCategory getTempCategory()

      Overrides:
        `getTempCategory` in class `BiomeGenBase`

    - #### genTerrainBlocks

          public void genTerrainBlocks(World p_150573_1_,
                              java.util.Random p_150573_2_,
                              Block[] p_150573_3_,
                              byte[] p_150573_4_,
                              int p_150573_5_,
                              int p_150573_6_,
                              double p_150573_7_)

      Overrides:
        `genTerrainBlocks` in class `BiomeGenBase`